PLUGINDIR = "Mani.RollViewer";

-- Turbine Imports..
import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";

-- Libraries Imports..
import (PLUGINDIR..".Lib");

-- Plugin Imports..
import (PLUGINDIR..".RollWindow");
import (PLUGINDIR..".RollControl");
import (PLUGINDIR..".Strings");

-- Game locale	
l = Turbine.Engine.GetLanguage();

-- Main window
local RollWindow = RollWindow();

-----------------------------------------------------------------------------------------------------------------------------
-- Commands section

RollViewerCommand = Turbine.ShellCommand();

function RollViewerCommand:Execute(command, arguments)
	if (arguments == "show") then
		RollWindow:SetVisible(true);
	elseif (arguments == "hide") then
		RollWindow:SetVisible(false);
	elseif (arguments == "") then
		RollWindow:SetVisible(not RollWindow:IsVisible());
	else
		Turbine.Shell.WriteLine(_S[l][0]);
	end
end

function RollViewerCommand:GetHelp()
	return _S[l][0];
end

function RollViewerCommand:GetShortHelp()
	return _S[l][0];
end

Turbine.Shell.AddCommand("rv;rollviewer", RollViewerCommand);








